field_evaluate.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation_value(T, M, Value)
#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T , class M >
void | field_evaluate (const field_basic< T, M > &uh, const basis_on_pointset< T > &bops, reference_element hat_K, const std::vector< size_t > &dis_idof, Eigen::Matrix< T, Eigen::Dynamic, 1 > &value)
template<class T , class M >
void | vector_field_evaluate (const field_basic< T, M > &uh, const basis_on_pointset< T > &bops, reference_element hat_K, const std::vector< size_t > &dis_idof_tab, const basis_on_pointset< T > &piola_on_geo_basis, std::vector< size_t > &dis_inod_geo, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &value)
template<class T , class M >
void | tensor_field_evaluate (const field_basic< T, M > &uh, const basis_on_pointset< T > &bops, reference_element hat_K, const std::vector< size_t > &dis_idof_tab, Eigen::Matrix< tensor_basic< T >, Eigen::Dynamic, 1 > &value)
template<class T , class M >
void | field_component_evaluate (const field_basic< T, M > &uh, const basis_on_pointset< T > &bops, reference_element hat_K, const std::vector< size_t > &dis_idof_tab, size_t k_comp, Eigen::Matrix< T, Eigen::Dynamic, 1 > &value)
template<class T , class M , class Value >
void | field_evaluate_continued (const field_basic< T, M > &uh, const geo_basic< T, M > &omega_K, const geo_element &K, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &phij_xi, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value)
template<class T , class M , class Value >
void | field_evaluate (const field_basic< T, M > &uh, const fem_on_pointset< T > &fops, const geo_basic< T, M > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation_value

#define _RHEOLEF_instanciation_value | ( |  | T,
|  |  | M,
|  |  | Value
| ) |  |

Value:
template void field_evaluate_continued ( \
const field_basic<T,M>& uh, \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& phij_xi, \
Eigen::Matrix<Value,Eigen::Dynamic,1>& value); \
template void field_evaluate ( \
const field_basic<T,M>& uh, \
const fem_on_pointset<T>& fops, \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
Eigen::Matrix<Value,Eigen::Dynamic,1>& value); \

Definition at line 266 of file field_evaluate.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Definition at line 281 of file field_evaluate.cc.

rheolef::field_evaluate
void field_evaluate(const field_basic< T, M > &uh, const fem_on_pointset< T > &fops, const geo_basic< T, M > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value)
Definition: field_evaluate.cc:251
rheolef::field_evaluate_continued
void field_evaluate_continued(const field_basic< T, M > &uh, const geo_basic< T, M > &omega_K, const geo_element &K, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &phij_xi, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value)
Definition: field_evaluate.cc:217